Subject: Re: hwpoison merge for linux-next / 2.6.32

From: Stephen Rothwell <[email-masked]>
Date: Mon, 10 Aug 2009 19:45:28 +1000

Hi Andi,

On Fri, 7 Aug 2009 10:49:02 +0200 Andi Kleen <[email-masked]> wrote:
>
> Could you please pull git://git.kernel.org/pub/scm/linux/kernel/git/ak/linux-mce-2.6.git hwpoison
> into linux-next?
> 
> hwpoison is the VM part of extended memory error handling.
> 
> This tree has been extensively reviewed now and people seem to be happy now and is 
> imho ready for merge.
> 
> Andrew also indicated earlier he would merge it for .32.

OK, I have added this today.

What I tell everyone: all patches/commits in the tree/series must
have been:

	posted to a relevant mailing list
	reviewed
	unit tested
	destined for the next merge window (or the current release)

*before* they are included.  The linux-next tree is for integration
testing and to lower the impact of conflicts between subsystems in the
next merge window.

Basically, this should be just what you would send to Linus or in this
case, Ingo, (or ask him to fetch).  It is allowed to be rebased if you
deem it necessary.

> How do you want to handle it. Will you take it and send or should I send direct 
> pull requests to Linus during the merge window?

Andrew, If you have other plans, just yell.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/